SystemOrganization addCategory: #'Parasol-Pharo'!

BPPlatform subclass: #BPPharoPlatform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Parasol-Pharo'!

!BPPharoPlatform class methodsFor: 'class initialization' stamp: 'StephanEggermont 10/1/2012 15:05'!
initialize
	"
	self initialize
	"
	| p |
	p := self new.
	BPPlatform add: p.
	BPPlatform setCurrent: p name! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'StephanEggermont 10/1/2012 15:14'!
httpClientClass
	^ZnClient! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'StephanEggermont 10/1/2012 15:04'!
httpEntityClass
	^ZnEntity! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'StephanEggermont 10/1/2012 15:03'!
mimeTypeClass
	^ZnMimeType! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'StephanEggermont 9/28/2012 20:27'!
name
	^'Pharo'! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'KrisGybels 4/8/2013 15:07'!
port
	^WAAdmin defaultServerManager adaptors first port! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'StephanEggermont 10/1/2012 15:16'!
urlClass
	^ZnUrl! !

!BPPharoPlatform methodsFor: 'testing' stamp: 'StephanEggermont 10/1/2012 17:41'!
urlFor: aString
	^ZnUrl fromString: aString! !

Object subclass: #BPExporter
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Parasol-Pharo'!

!BPExporter methodsFor: 'as yet unclassified' stamp: 'StephanEggermont 10/1/2012 16:25'!
toVW

	"
	self new toVW
	
	If I'm executed, I generate a st file called Parasol-StephanEggermont.(*version*)-vw5.st near to the image (./contents/resources).
	To import Parasol in VW your should have a Parasol version already loaded in the image and follow this steps:
	
	1) Remove the Parasol-Core package and agree with all the classes removal in the Parasol-VWSpecific. 
	2) Create the Parasol-Core package again and do right click in the package, select 'file into' and choose the file you exported. 
	3) FInally restore the Parasol-VWSpecific package by loading the latest version of it from the public repository.
	
	"
	Gofer new
		squeaksource: 'PackageInfo';
		package: 'PackageInfo-Exporters';
		load.
	
	(Smalltalk at: #VW5PackageExporter)
	        fileOutPackageNamed:  'Parasol-Core' 
 	       withNamespace: 'Parasol'.
	
	! !
BPPharoPlatform initialize!
